function classEst = classifyKnn(neighborClassLabels, possibleClassLabels)
%classifyKnn - k-nearest-neighbor classification.
%

% Written by Luca Cazzanti, engineer.
% Applied Physics Laboratory, University of Washington, Feb 2009.
%$Id:$
%$DateTime:$
%$Author:$

classHist = hist(neighborClassLabels, possibleClassLabels);
[maxCount, maxIdx] = max(classHist);

% Find ties and split them randomly
tiesIdx = find(classHist == maxCount);
nTies = length(tiesIdx);
randIdx = ceil(rand * nTies);
classEst = possibleClassLabels(tiesIdx(randIdx));

return

